load('results.mat')
constants

plotlimit = universallimit;

figure
x = linspace(-universallimit, universallimit, 1000);
y = linspace(-universallimit, universallimit, 1000);
[XX, YY] = meshgrid(x, y);
ZZ = zeros(size(XX));

frame = 1;
for d = d_list
    xAtom = [-d/2; d/2];
    yAtom = [0; 0];
    zAtom = [0; 0];
    
    ZZ = calcDensity(orb, Z, xAtom, yAtom, zAtom, V_list(:, frame), XX, YY);
    s = surf(XX, YY, ZZ);
    s.EdgeColor = 'none';
    xlim([-plotlimit, plotlimit])
    ylim([-plotlimit, plotlimit])
    axis off
    %zlim([0, 3E30])
    view(25,60)

    saveas(gcf, ['fig_', num2str(frame, '%02d'), '.png'])
    frame = frame + 1;
end
